Subject: Re: linux-next: build failure after merge of the final tree (staging tree related)

From: Greg KH <[email-masked]>
Date: Wed, 19 Jun 2013 07:37:53 -0700

On Wed, Jun 19, 2013 at 05:26:57PM +0800, Peng Tao wrote:
> On Wed, Jun 19, 2013 at 4:10 PM, Stephen Rothwell <[email-masked]> wrote:
> > Hi all,
> >
> > After merging the final tree, today's linux-next build (powerpc
> > allyesconfig) failed like this:
> >
> > In file included from drivers/staging/lustre/include/linux/libcfs/libcfs.h:203:0,
> >                  from drivers/staging/lustre/lnet/klnds/o2iblnd/o2iblnd.h:67,
> >                  from drivers/staging/lustre/lnet/klnds/o2iblnd/o2iblnd.c:41:
> > drivers/staging/lustre/lnet/klnds/o2iblnd/o2iblnd.c: In function 'kiblnd_dev_need_failover':
> > drivers/staging/lustre/include/linux/libcfs/libcfs_debug.h:215:16: error: implicit declaration of function 'NIPQUAD' [-Werror=implicit-function-declaration]
> >   static struct libcfs_debug_msg_data msgdata;      \
> >                 ^
> Thanks for reporting!
> 
> It is a bug in Lustre code that it is missing NIPQUAD definition on
> Linux platform. I will send fix later.
> 
> > drivers/staging/lustre/include/linux/libcfs/libcfs_debug.h:231:2: note: in expansion of macro '__CDEBUG'
> >   __CDEBUG(&cdls, mask, format, ## __VA_ARGS__);\
> >   ^
> > drivers/staging/lustre/include/linux/libcfs/libcfs_debug.h:238:30: note: in expansion of macro 'CDEBUG_LIMIT'
> >  #define CERROR(format, ...)  CDEBUG_LIMIT(D_ERROR, format, ## __VA_ARGS__)
> >                               ^
> > drivers/staging/lustre/lnet/klnds/o2iblnd/o2iblnd.c:2577:3: note: in expansion of macro 'CERROR'
> >    CERROR("Failed to bind %s:%u.%u.%u.%u to device(%p): %d\n",
> >    ^
> >
> > I have once again disabled the building og the lustre client code.
> >
> Sorry that Lustre is mostly tested only on x86 platform (and sadly I
> don't have other architectures to test on.). We sincerely thank you
> for your continuous help.

You can always use a ppc cross compiler for just the kernel build tests
to catch things like this.

thanks,

greg k-h